## org.apache.mahout.cf.taste.hadoop.preparation
Class ToItemVectorsReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.cf.taste.hadoop.preparation.ToItemVectorsReducer

    public class ToItemVectorsReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`ToItemVectorsReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable row, Iterable<VectorWritable> vectors, org.apache.hadoop.mapreduce.Reducer.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToItemVectorsReducer

    public ToItemVectorsReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable row,
                          Iterable<VectorWritable> vectors,
                          org.apache.hadoop.mapreduce.Reducer.Context ctx)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.